<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

get_header(); 

if($_SERVER['REQUEST_METHOD'] == 'POST'){
	$values = sanitize_text_field($_POST['checks']);
	$reset = sanitize_text_field($_POST['reset']);
	$categories = $_POST['categories'];
	if(!empty($reset)){
		$_SESSION['checks'] = '';
		$_SESSION['cat'] = '';
	}
	if(strlen($values) > 0){
		$_SESSION['checks'] = $values;
	}

	if(strlen($categories) > 0){
		$_SESSION['cat'] = $categories;
	}
}


if(!empty($_SESSION['checks'])){
	foreach ($_SESSION['checks'] as $value) {
		$name = strtolower($value);

		$page = get_page_by_title( $name, OBJECT, 'comparables' );
		if($page){
			$post_ids[] = $page->ID;
		}
	}
}	

?>
<main class="content">
	<div class="container">
		<div class="categories-form">
			<?php $tax_terms = get_terms($taxonomy); 
				if($tax_terms){ ?>
			<form method="post" action="#">
				<select name="categories">
			<?php 
				foreach ($tax_terms as $val) { ?>
					<option value="<?php echo esc_attr($val->slug); ?>"><?php echo esc_attr($val->name); ?></option>

					<?php } ?>
				</select>
				<input type="submit" value="submit">
			</form>
			<?php } ?>
		</div> 
		<section>
			<?php

				$args = array(
					'post_type' => 'comparables',
					'ignore_sticky_posts' => 1,
					'category_name' => $_SESSION['cat'],
					'post__in' => $post_ids
				);

				$the_query = new WP_Query( $args );

				// The Loop
				if ( $the_query->have_posts() ) {
					echo esc_html( '<div class="comparables-items">' );
					$i = 1;
					while ( $the_query->have_posts() ) {
						$the_query->the_post(); ?>		
						<div class="item-wrap">			
						<div class="item">
							<a href="<?php echo esc_url( get_permalink() ); ?>">
							<?php 
								$thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'thumbnail_size' );
								$url = $thumb['0']; 
							?>		
							<div class="image-wrap" style="background: url(<?php echo esc_url($url); ?>) center center">						
							</div>
							<h2><?php the_title(); ?></h2>
							<div class="details">
								<?php the_meta(); ?>
							</div>
							</a>
						</div>	
					</div>
					<?php  
						$i++;
						if($i > 3){
							$i = i;
							echo esc_html( '<div class="clearfix"></div>' );
						}
					}
					echo esc_html( '</div>' );
				}
			?>
						
		</section>
		<div class="clearfix"></div>
		<div class="reset">
			<form method="post" action="#">
				<label>
					<input type="submit" value="reset" name="reset">
				</label>
			</form>
		</div>
	</div>
</main>

<?php get_footer(); ?>